#!/bin/bash

sizeP=$1
nbP=$2
rank=$3
Type=$4
sigma=$5
same=$6
k1=$7
k2=$8
search=$9

decompose input_0.png scale_ 3 _0.png
decompose input_1.png scale_ 3 _1.png
dbnlbayes -i scale_0_0.png -f 1 -l 1 -data scale_0_1.png -deno recons_0.png -diff diff_0.tiff -rdiff rescaled_diff_0.png -fd 1 -ld 1 -px $sizeP -np $nbP -r $rank -tp $Type -nbT 4 -sigma $sigma -same $same -heat heat_0.png -search $search -wx 60
detection -i scale_0_0.png -diff diff_0.tiff -vis visual_0.png  -k1 $k1 -k2 $k2 -nfath 1
dbnlbayes -i scale_1_0.png -f 1 -l 1 -data scale_1_1.png -deno recons_1.png -diff diff_1.tiff -rdiff rescaled_diff_1.png -fd 1 -ld 1 -px $sizeP -np $nbP -r $rank -tp $Type -nbT 4 -sigma $sigma -same $same -heat heat_1.png -search $search -wx 60
detection -i scale_1_0.png -diff diff_1.tiff -vis visual_1.png  -k1 $k1 -k2 $k2 -nfath 1
dbnlbayes -i scale_2_0.png -f 1 -l 1 -data scale_2_1.png -deno recons_2.png -diff diff_2.tiff -rdiff rescaled_diff_2.png -fd 1 -ld 1 -px $sizeP -np $nbP -r $rank -tp $Type -nbT 4 -sigma $sigma -same $same -heat heat_2.png -search $search -wx 60
detection -i scale_2_0.png -diff diff_2.tiff -vis visual_2.png  -k1 $k1 -k2 $k2 -nfath 1

